org.apache.lucene.queryParser.standard.config

## Class FieldBoostMapFCListener

- java.lang.Object
- - org.apache.lucene.queryParser.standard.config.FieldBoostMapFCListener

- All Implemented Interfaces:
    FieldConfigListener

      public class FieldBoostMapFCListener
      extends java.lang.Object
      implements FieldConfigListener

  This listener listens for every field configuration request and assign a `BoostAttribute` to the equivalent `FieldConfig` based on a defined map: fieldName -> boostValue store in `FieldBoostMapAttribute` in the `FieldBoostMapAttribute`.
  See Also:
    `BoostAttribute`, `FieldBoostMapAttribute`, `FieldConfig`, `FieldConfigListener`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldBoostMapFCListener(QueryConfigHandler config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFieldConfig(FieldConfig fieldConfig)` This method is called ever time a field configuration is requested.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldBoostMapFCListener

          public FieldBoostMapFCListener(QueryConfigHandler config)

  - ### Method Detail

    - #### buildFieldConfig

          public void buildFieldConfig(FieldConfig fieldConfig)

      Description copied from interface: `FieldConfigListener`
      This method is called ever time a field configuration is requested.
      Specified by:
        `buildFieldConfig` in interface `FieldConfigListener`
      Parameters:
        `fieldConfig` - the field configuration requested, should never be null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.